Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 145 - Mikmod's OSS driver miscalculates malloc'ed size
Summary: Mikmod's OSS driver miscalculates malloc'ed size
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mikmod
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike Maher
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-11-20 11:22 UTC by sailer
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-01-26 18:15:50 UTC


Attachments (Terms of Use)

Description sailer 1998-11-20 11:22:38 UTC
Mikmod's OSS driver contains an allocation bug,
which happens to be hidden most of the time
with OSS/Free (although it can be triggered by
environment variables), but gets triggered
by some non-OSS/Free sound drivers.

Get the patch at
http://www.ife.ee.ethz.ch/~sailer/linux/mikmod-3.0.3.diff
or
http://www.ife.ee.ethz.ch/~sailer/linux/mikmod-3.0.4.diff

On a side note, mikmod 3.0.4 seems to fix some
problems with certain mod files...

Thomas Sailer

Comment 1 Mike Maher 1999-01-26 18:15:59 UTC
This bug has been fixed for future releases.
It will be available from Rawhide at ftp://rawhide.redhat.com


Note You need to log in before you can comment on or make changes to this bug.